HOST=$1.cloud.pd.infn.it

for i in `nova list --host $HOST --all-tenants | grep -v "Power State" | grep -v "+-" | awk '{print $2}'`;
do 
    echo INSTANCE: $i; 
    NOVA_OUT=`nova show $i| egrep -e "-lan network|-wan network|instance_name|key_name| name|volume|user_id|status"`
    echo "$NOVA_OUT"
    USER_ID=`echo "$NOVA_OUT" | grep "user_id" | awk '{print $4}'`
#    echo "User: $USER_ID"
    USER_OUT=`keystone user-get $USER_ID`
    USER_NAME=`echo "$USER_OUT" | grep "username" | awk '{print $4}'`
    USER_MAIL=`echo "$USER_OUT" | grep "email" | awk '{print $4}'`
    USER_ENABLED=`echo "$USER_OUT" | grep "enabled" | awk '{print $4}'`
    echo "User: $USER_NAME, $USER_MAIL, enabled: $USER_ENABLED"
    echo
    echo
done
